<?
include("logadmin.php"); 
include("gl_.php"); 	
if (!$logadmin) { header( 'Location: login.php' );} 
?>
<?
if ($_REQUEST['upload_button']!='') {

	
$target_path = "imagenes/promocion/";

// Borrar la imagen anterior si existe.
$target_name_anterior = $target_path.$_REQUEST['imagen'];
if($_REQUEST["imagen"]!='' && file_exists($target_name_anterior)) { unlink($target_name_anterior);}


$target_name = $_REQUEST[cod].$_FILES['file1']['name'];
$target_path = $target_path . basename( $target_name); 

if(move_uploaded_file($_FILES['file1']['tmp_name'], $target_path)) {

	$actualizo=mysql_query("update acciones_tipos set imagen='$target_name' where id_tipos=$cod ");
    $_SESSION['msg']= "El archivo ".  basename( $_FILES['file1']['name'])." ha sido cargado";
	header( 'Location: acciones_tipos.php' ) ;
} else{
    $_SESSION['msg'] = "Hubo un error al subir el archivo.";
	header( "Location: acciones_tipos.php?class=img&cod=".$saco[0]."&nombre=".$saco[nombre]."&imagen=".$saco[imagen]);
}
} 
?>